<template>
  <div id="app" >
    <v-content>
      <notifications></notifications>
    <router-view/>  
    </v-content>
    
  </div>
</template>
<script>
export default {
   created: function () {
    this.$http.interceptors.response.use(undefined, function (err) {
      // eslint-disable-next-line no-unused-vars
      return new Promise(function (resolve, reject) {
        if (err.status === 401 && err.config && !err.config.__isRetryRequest) {
          this.$store.dispatch('auth/logout')
        }
        throw err;
      });
    });
  }
}
</script>